Subject: [netatalk-admins] Compiling netatalk w/ DES on Solaris 7

From: Prentice Bisbal <[email-masked]>
Date: Thu, 30 Sep 1999 15:24:34 -0400

I'm trying to compile netatalk-1.4b2+asun2.1.3 w/ DES, but it doesn't work.
I've been bangin' my head against the wall for three days with this one. Using
encrypted passwords is essential for my application, so I must be able to get
netatalk to install w/ DES. 

Any help would be greatly appreciated. Several of you have already sent me some
information - thanks. Unfortunately, I still haven't been able to solve this. 

I started by trying to use the crypt libraries that came w/ Solaris 7, but that
wasn't working. So, I installed libdes, getting the tar.gz file from
ftp://ftp.psy.uq.oz.au/pub/Crypto/DES/. The DES include file and libraries are
installed in /usr/local. 

Now when I do a make, it still fails, but with a different error:

make  DESTDIR=/usr/local/netatalk RESDIR=/etc/netatalk  \
ETCDIR=/etc/netatalk TCPWRAPDIR=/usr/local PAMDIR=/usr  \ 
DESDIR=/usr/local

 [ skipping to  relevant make output... ] 

gcc -D__svr4__ -DSOLARIS -I../../sys/solaris   -DUAM_RNDNUM -O -I../../include  
 -I/usr/local/include/     -DUSE_PAM -DAPPLCNAME  -c  auth.c
In file included from auth.c:16:
../../include/netatalk/endian.h:32: warning: redefinition of `int32_t'
/usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
auth.c:126: warning: initialization from incompatible pointer type
auth.c:147: parse error before `seskey'
auth.c:147: warning: data definition has no type or storage class
auth.c:148: parse error before `seskeysched'
auth.c:148: warning: data definition has no type or storage class
auth.c: In function `check_user':
auth.c:702: warning: assignment makes pointer from integer without a cast
auth.c: In function `randnum_login':
auth.c:927: warning: passing arg 4 of `randpass' makes pointer from integer with
out a cast
auth.c: In function `randnum_logincont':
auth.c:982: `C_Block' undeclared (first use in this function)
auth.c:982: (Each undeclared identifier is reported only once
auth.c:982: for each function it appears in.)
auth.c:982: parse error before `)'
auth.c:983: warning: passing arg 1 of `memset' makes pointer from integer withou
t a cast
auth.c:984: parse error before `)'
auth.c:986: warning: passing arg 1 of `memset' makes pointer from integer withou
t a cast
auth.c: In function `rand2num_logincont':
auth.c:1026: subscripted value is neither array nor pointer
auth.c:1029: `C_Block' undeclared (first use in this function)
auth.c:1029: parse error before `)'
auth.c:1030: warning: passing arg 1 of `memset' makes pointer from integer witho
ut a cast
auth.c:1031: parse error before `)'
auth.c:1037: warning: passing arg 1 of `memset' makes pointer from integer witho
ut a cast
auth.c:1045: parse error before `)'
auth.c:1047: warning: passing arg 1 of `memset' makes pointer from integer witho
ut a cast
auth.c: In function `afp_changepw':
auth.c:1115: warning: passing arg 4 of `randpass' makes pointer from integer wit
hout a cast
auth.c:1119: `C_Block' undeclared (first use in this function)
auth.c:1119: parse error before `)'
auth.c:1121: parse error before `)'
auth.c:1124: parse error before `)'
auth.c:1126: parse error before `)'
auth.c:1127: warning: passing arg 1 of `memcmp' makes pointer from integer witho
ut a cast
auth.c:1133: warning: passing arg 1 of `memset' makes pointer from integer witho
ut a cast
auth.c:1134: warning: passing arg 1 of `memset' makes pointer from integer witho
ut a cast
*** Error code 1
make: Fatal error: Command failed for target `auth.o'
Current working directory /u/pbisbal/source/netatalk-1.4b2+asun2.1.3/etc/afpd
*** Error code 1
make: Fatal error: Command failed for target `all'
Current working directory /u/pbisbal/source/netatalk-1.4b2+asun2.1.3/etc/afpd
*** Error code 1
make: Fatal error: Command failed for target `afpd'
Current working directory /u/pbisbal/source/netatalk-1.4b2+asun2.1.3/etc
*** Error code 1
make: Fatal error: Command failed for target `../../etc'
Current working directory /u/pbisbal/source/netatalk-1.4b2+asun2.1.3/sys/solaris
*** Error code 1
make: Fatal error: Command failed for target `all'

-- 
Prentice Bisbal
[email-masked]
Princeton Plasma Physics Lab
http://www.pppl.gov